package com.ruoyi.yh.reportProd.service;

import com.ruoyi.yh.price.domain.PriceVO;
import com.ruoyi.yh.reportProd.domain.ReportProdVO;
import com.ruoyi.yh.reportProd.domain.bo.ReportProdBO;
import com.ruoyi.yh.reportProd.domain.dto.ReportProdNewPriceDTO;

import java.util.List;

/**
 * @author wjh
 * 2024/11/2
 */
public interface ReportProdConverter {

    /**
     * 新增时，VO转为BO
     * @param vo
     * @return
     */
    ReportProdBO toBoByCreate(ReportProdVO vo);

    /**
     * 更新时，VO 转 BO
     * @param vo
     * @return
     */
    ReportProdBO toBoByUpdate(ReportProdVO vo);

    /**
     * 将通过的单价转为报表单价
     * @param passList
     * @return
     */
    List<ReportProdNewPriceDTO> toNewPriceDTO(List<PriceVO> passList);
}
